import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  OneToMany,
  ManyToOne,
  JoinColumn,
} from 'typeorm';
import { Institucion } from '../institucion/institucion.entity';
import { Usuario } from '../usuario/usuario.entity';
import { CarreraPrograma } from '../carrera-programa/carrera-programa.entity';

@Entity()
export class Carrera {
  @PrimaryGeneratedColumn()
  id_carrera: number;

  @Column()
  carrera: string;

  @ManyToOne(() => Institucion, (institucion) => institucion.carreras)
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @OneToMany(() => Usuario, (usuario) => usuario.carrera)
  usuarios: Usuario[];

  @OneToMany(
    () => CarreraPrograma,
    (carreraPrograma) => carreraPrograma.carrera,
  )
  carreraProgramas: CarreraPrograma[];
}
