import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  OneToMany,
  ManyToOne,
  JoinColumn,
} from 'typeorm';
import { Modulo } from '../modulo/modulo.entity';
import { Equipo } from '../equipo/equipo.entity';
import { TipoCarrito } from '../tipo-carrito/tipo-carrito.entity';

@Entity()
export class Carrito {
  @PrimaryGeneratedColumn()
  id_carrito: number;

  @Column()
  carrito: string;

  @Column()
  activo: boolean;

  @ManyToOne(() => Modulo, (modulo) => modulo.carritos)
  @JoinColumn({ name: 'id_modulo' })
  modulo: Modulo;

  @ManyToOne(() => TipoCarrito, (tipoCarrito) => tipoCarrito.carritos)
  @JoinColumn({ name: 'id_tipo_carrito' })
  tipoCarrito: TipoCarrito;

  @OneToMany(() => Equipo, (equipo) => equipo.carrito)
  equipos: Equipo[];
}
