import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  ManyToOne,
  JoinColumn,
} from 'typeorm';
import { InstitucionDia } from '../institucion-dia/institucion-dia.entity';

@Entity()
export class HoraExcepcion {
  @PrimaryGeneratedColumn()
  id_hora_excepcion: number;

  @Column()
  hora_inicio: Date;

  @Column()
  hora_fin: Date;

  @ManyToOne(
    () => InstitucionDia,
    (institucionDia) => institucionDia.horasExcepcion,
  )
  @JoinColumn({ name: 'id_institucion_dia' })
  institucionDia: InstitucionDia;
}
