import { Entity, Column, PrimaryGeneratedColumn, OneToMany } from 'typeorm';
import { InstitucionDia } from '../institucion-dia/institucion-dia.entity';
import { InstitucionInfraccion } from '../institucion-infraccion/institucion-infraccion.entity';
import { Carrera } from '../carrera/carrera.entity';
import { Modulo } from '../modulo/modulo.entity';
import { Operador } from '../operador/operador.entity';
import { Usuario } from '../usuario/usuario.entity';

@Entity()
export class Institucion {
  @PrimaryGeneratedColumn()
  id_institucion: number;

  @Column()
  institucion: string;

  @Column()
  logo: string;

  @Column()
  tiempo_prestamo: number;

  @Column()
  tiempo_recoger: number;

  @Column()
  dias_multa_retraso: number;

  @OneToMany(
    () => InstitucionDia,
    (institucionDia) => institucionDia.institucion,
  )
  institucionesDias: InstitucionDia[];

  @OneToMany(
    () => InstitucionInfraccion,
    (institucionInfraccion) => institucionInfraccion.institucion,
  )
  institucionInfracciones: InstitucionInfraccion[];

  @OneToMany(() => Modulo, (modulo) => modulo.institucion)
  modulos: Modulo[];

  @OneToMany(() => Carrera, (carrera) => carrera.institucion)
  carreras: Carrera[];

  @OneToMany(() => Operador, (operador) => operador.institucion)
  operadores: Operador[];

  @OneToMany(() => Usuario, (usuario) => usuario.institucion)
  usuarios: Usuario[];
}
