import { Injectable, NotFoundException } from '@nestjs/common';
import { Repository } from 'typeorm';
import { InjectRepository } from '@nestjs/typeorm';
import { Institucion } from './institucion.entity';

@Injectable()
export class InstitucionService {
  constructor(
    @InjectRepository(Institucion) private repository: Repository<Institucion>,
  ) {}

  findAll() {
    return this.repository.find();
  }

  async findById(id_institucion: number) {
    return this.repository.findOne({ id_institucion }).then((institucion) => {
      if (!institucion)
        throw new NotFoundException('No existe esta institución.');
      return institucion;
    });
  }
}
