import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  OneToMany,
  ManyToOne,
  JoinColumn,
} from 'typeorm';
import { Carrito } from '../carrito/carrito.entity';
import { Institucion } from '../institucion/institucion.entity';

@Entity()
export class Modulo {
  @PrimaryGeneratedColumn()
  id_modulo: number;

  @Column()
  modulo: string;

  @Column({ default: false })
  activo: boolean;

  @ManyToOne(() => Institucion, (institucion) => institucion.modulos)
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @OneToMany(() => Carrito, (carrito) => carrito.modulo)
  carritos: Carrito[];
}
