import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  ManyToOne,
  JoinColumn,
} from 'typeorm';
import { Equipo } from '../equipo/equipo.entity';
import { Operador } from '../operador/operador.entity';
import { Status } from '../status/status.entity';

@Entity()
export class Motivo {
  @PrimaryGeneratedColumn()
  id_motivo: number;

  @Column()
  motivo: string;

  @Column()
  created_at: Date;

  @ManyToOne(() => Equipo, (equipo) => equipo.motivos)
  @JoinColumn({ name: 'id_equipo' })
  equipo: Equipo;

  @ManyToOne(() => Operador, (operador) => operador.motivos)
  @JoinColumn({ name: 'id_operador' })
  operador: Operador;

  @ManyToOne(() => Status, (status) => status.motivos)
  @JoinColumn({ name: 'id_status' })
  status: Status;
}
