import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  OneToOne,
  ManyToOne,
  JoinColumn,
} from 'typeorm';
import { InstitucionInfraccion } from '../institucion-infraccion/institucion-infraccion.entity';
import { Prestamo } from '../prestamo/prestamo.entity';

@Entity()
export class Multa {
  @PrimaryGeneratedColumn()
  id_multa: number;

  @Column()
  activo: boolean;

  @Column()
  fecha_inicio: Date;

  @Column()
  fecha_fin: Date;

  @Column()
  retraso: boolean;

  @ManyToOne(
    () => InstitucionInfraccion,
    (institucionInfraccion) => institucionInfraccion.multas,
  )
  @JoinColumn({ name: 'id_institucion_infraccion' })
  institucionInfraccion: InstitucionInfraccion;

  @OneToOne(() => Prestamo)
  @JoinColumn({ name: 'id_prestamo' })
  prestamo: Prestamo;
}
