import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  OneToMany,
  ManyToOne,
  JoinColumn,
} from 'typeorm';
import { Institucion } from '../institucion/institucion.entity';
import { Motivo } from '../motivo/motivo.entity';
import { Prestamo } from '../prestamo/prestamo.entity';
import { TipoUsuario } from '../tipo-usuario/tipo-usuario.entity';

@Entity()
export class Operador {
  @PrimaryGeneratedColumn()
  id_operador: number;

  @Column()
  operador: string;

  @Column()
  password: string;

  @Column()
  activo: boolean;

  @ManyToOne(() => Institucion, (institucion) => institucion.operadores)
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @ManyToOne(() => TipoUsuario, (tipoUsuario) => tipoUsuario.operadores)
  @JoinColumn({ name: 'id_tipo_usuario' })
  tipoUsuario: TipoUsuario;

  @OneToMany(() => Prestamo, (prestamo) => prestamo.operadorEntrega)
  prestamosOperadorEntrega: Prestamo[];

  @OneToMany(() => Prestamo, (prestamo) => prestamo.operadorRegreso)
  prestamosOperadorRegreso: Prestamo[];

  @OneToMany(() => Motivo, (motivo) => motivo.operador)
  motivos: Motivo[];
}
